# quota

Resource quotas appear in multiple APIs, OpenStackClient presents them as a single object with multiple properties.

Block Storage v1, v3; Compute v2; Network v2

## quota delete

Delete configured quota for a project and revert to defaults.

    openstack quota delete
        [--all | --compute | --volume | --network]
        <project>

--all

  Delete project quotas for all services (default)

--compute

  Delete compute quotas for the project (including network quotas when using nova-network)

--volume

  Delete volume quotas for the project

--network

  Delete network quotas for the project

project

  Delete quotas for this project (name or ID)

## quota list

List quotas for all projects with non-default quota values.

Empty output means all projects are using default quotas, which can be inspected with ‘openstack quota show –default’.

    openstack quota list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        (--compute
        |
        --volume
        |
        --network
        )

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--compute

  List compute quota

--volume

  List volume quota

--network

  List network quota

## quota set

Set quotas for project or class

    openstack quota set
        [--class | --default]
        [--cores <cores>]
        [--injected-file-size <injected-file-size>]
        [--injected-path-size <injected-path-size>]
        [--injected-files <injected-files>]
        [--instances <instances>]
        [--key-pairs <key-pairs>]
        [--properties <properties>]
        [--ram <ram>]
        [--server-group-members <server-group-members>]
        [--server-groups <server-groups>]
        [--backups <backups>]
        [--backup-gigabytes <backup-gigabytes>]
        [--gigabytes <gigabytes>]
        [--per-volume-gigabytes <per-volume-gigabytes>]
        [--snapshots <snapshots>]
        [--volumes <volumes>]
        [--floating-ips <floating-ips>]
        [--secgroup-rules <secgroup-rules>]
        [--secgroups <secgroups>]
        [--networks <networks>]
        [--subnets <subnets>]
        [--ports <ports>]
        [--routers <routers>]
        [--rbac-policies <rbac-policies>]
        [--subnetpools <subnetpools>]
        [--volume-type <volume-type>]
        [--force
        |
        --no-force
        ]
        [<project/class>]

--class

  Deprecated Set quotas for <class>. Deprecated as quota classes were never fully implemented and only the default class is supported. (compute and volume only)

--default

  Set default quotas for <project>

--cores <cores>

  New value for the cores quota

--injected-file-size <injected-file-size>

  New value for the injected-file-size quota

--injected-path-size <injected-path-size>

  New value for the injected-path-size quota

--injected-files <injected-files>

  New value for the injected-files quota

--instances <instances>

  New value for the instances quota

--key-pairs <key-pairs>

  New value for the key-pairs quota

--properties <properties>

  New value for the properties quota

--ram <ram>

  New value for the ram quota

--server-group-members <server-group-members>

  New value for the server-group-members quota

--server-groups <server-groups>

  New value for the server-groups quota

--backups <backups>

  New value for the backups quota

--backup-gigabytes <backup-gigabytes>

  New value for the backup-gigabytes quota

--gigabytes <gigabytes>

  New value for the gigabytes quota

--per-volume-gigabytes <per-volume-gigabytes>

  New value for the per-volume-gigabytes quota

--snapshots <snapshots>

  New value for the snapshots quota

--volumes <volumes>

  New value for the volumes quota

--floating-ips <floating-ips>

  New value for the floating-ips quota

--secgroup-rules <secgroup-rules>

  New value for the secgroup-rules quota

--secgroups <secgroups>

  New value for the secgroups quota

--networks <networks>

  New value for the networks quota

  Network version 2 only

--subnets <subnets>

  New value for the subnets quota

  Network version 2 only

--ports <ports>

  New value for the ports quota

  Network version 2 only

--routers <routers>

  New value for the routers quota

  Network version 2 only

--rbac-policies <rbac-policies>

  New value for the rbac-policies quota

  Network version 2 only

--subnetpools <subnetpools>

  New value for the subnetpools quota

  Network version 2 only

--volume-type <volume-type>

  Set quotas for a specific <volume-type>

--force

  Force quota update (only supported by compute and network)

--no-force

  Do not force quota update (only supported by compute and network) (default)

project/class

  Set quotas for this project or class (name or ID) (defaults to current project)

## quota show

Show quotas for project or class.

Specify `--os-compute-api-version 2.50` or higher to see `server-groups` and `server-group-members` output for a given quota class.

    openstack quota show
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--default | --usage]
        [--all
        |
        --compute
        |
        --volume
        |
        --network
        ]
        [<project>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--default

  Show default quotas for <project>

--usage

  Show details about quotas usage

--all

  Show quotas for all services

--compute

  Show compute quota

--volume

  Show volume quota

--network

  Show network quota

project

  Show quotas for this project (name or ID) (defaults to current project)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.